Skip to content
CatalogBrands

Get brand by ID

Returns one brand with its media, SEO metadata, and display order.

Path Parameters

brandId*string

Identifier of the brand.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/catalog/brands/7204558912004322959" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "isActive": true,  "id": "7204558912004322959",  "storeId": "7204558912004327977",  "name": "Andina",  "slug": "andina",  "order": 1,  "createdOn": "2026-09-28T15:30:00Z",  "productCount": 24}